Organization API: Customer Portal: Snapshots
The 4 Organization API operations for snapshots.
Part of Customer Portal.
GET /api/v1/orgs/{org_slug}/portal/vps/{uuid}/snapshots
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/vps/{uuid}/snapshots
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
org_slug |
path |
string |
yes |
application/json
| Field |
Type |
Required |
name |
string |
no |
description |
string or null |
no |
vmstate |
boolean |
no |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
DELETE /api/v1/orgs/{org_slug}/portal/vps/{uuid}/snapshots/{snapshot_id}
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
snapshot_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/portal/vps/{uuid}/snapshots/{snapshot_id}/rollback
| Name |
In |
Type |
Required |
uuid |
path |
string |
yes |
snapshot_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |